
Core - Task # 35166

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2012-03-22 Assigned To: Oliver Hader
Updated: 2013-12-10 Due date:
TYPO3 Version: 4.7
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Integrate signal-slot-handling in Grid Data Service
Description

Integrate signal-slot-handling in Grid Data Service

    -  SIGNAL_GenerateDataArray_BeforeCaching
    -  SIGNAL_GenerateDataArray_PostProcesss
    -  SIGNAL_GetDataArray_PostProcesss
    -  SIGNAL_SortDataArray_PostProcesss
    -  SIGNAL_CalcChangePercentage_PreProcess
    -  SIGNAL_CalcChangePercentage_PostProcess

Related issues:
related to Core - Bug # 36241: Call-time pass-by-reference has been deprecated Resolved 2012-04-17

Associated revisions
Revision 73164ef9 - 2012-03-27 16:46 - Oliver Hader

[TASK] Integrate signal-slot-handling in Grid Data Service

    -  SIGNAL_GenerateDataArray_BeforeCaching
    -  SIGNAL_GenerateDataArray_PostProcesss
    -  SIGNAL_GetDataArray_PostProcesss
    -  SIGNAL_SortDataArray_PostProcesss
    -  SIGNAL_CalcChangePercentage_PreProcess
    -  SIGNAL_CalcChangePercentage_PostProcess

Change-Id: I577a14bd4f4ae8e0eedd804929b7175beb22647e
Resolves: #35166
Releases: 4.7, 6.0
Reviewed-on: http://review.typo3.org/9825
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision e520f866 - 2012-03-27 16:51 - Oliver Hader

[TASK] Integrate signal-slot-handling in Grid Data Service

    -  SIGNAL_GenerateDataArray_BeforeCaching
    -  SIGNAL_GenerateDataArray_PostProcesss
    -  SIGNAL_GetDataArray_PostProcesss
    -  SIGNAL_SortDataArray_PostProcesss
    -  SIGNAL_CalcChangePercentage_PreProcess
    -  SIGNAL_CalcChangePercentage_PostProcess

Change-Id: I758ad9c46244f2ca878a78df035d2e8da76083f0
Resolves: #35166
Releases: 4.7, 6.0
Reviewed-on: http://review.typo3.org/9825
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-on: http://review.typo3.org/9915
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 5cf1b79f - 2012-05-03 13:11 - Philipp Gampe 

[BUGFIX] Call-time pass-by-reference has been deprecated

Change-Id: I51ad425c11613fb420cd1cdb2779ab8f3311ae16
Related: #35166
Fixes: #36241
Releases: 6.0
Reviewed-on: http://review.typo3.org/10595
Reviewed-by: Oliver Klee
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch

Revision 88031533 - 2012-06-22 21:10 - Philipp Gampe 

[BUGFIX] Call-time pass-by-reference has been deprecated

Change-Id: I8133c3b33ffb3a071f0e6e4dc5a768384f87e56f
Related: #35166
Fixes: #36241
Releases: 4.7
Reviewed-on: http://review.typo3.org/11216
Reviewed-by: Oliver Klee
Reviewed-by: Philipp Gampe
Reviewed-by: Wouter Wolters
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-03-22 22:34 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9825

#2 - 2012-03-27 16:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9825

#3 - 2012-03-27 16:49 - Gerrit Code Review

Patch set 1 for branch workspaces_4-7 has been pushed to the review server.
It is available at http://review.typo3.org/9915

#4 - 2012-03-27 19:35 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
- PHP Version set to 5.3

#5 - 2013-12-10 01:04 - Michael Stucki
- Category set to Workspaces

#6 - 2013-12-10 01:06 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
